'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _filesize = require('filesize');

var _filesize2 = _interopRequireDefault(_filesize);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Dialog = require('material-ui/Dialog/Dialog');

var _Dialog2 = _interopRequireDefault(_Dialog);

var _colors = require('material-ui/styles/colors');

var _FontIcon = require('material-ui/FontIcon/FontIcon');

var _FontIcon2 = _interopRequireDefault(_FontIcon);

var _FlatButton = require('material-ui/FlatButton/FlatButton');

var _FlatButton2 = _interopRequireDefault(_FlatButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _ref2 = _jsx(_FontIcon2.default, {
	className: 'material-icons',
	color: _colors.cyan500
}, void 0, 'delete');

var FileInfo = (_temp2 = _class = function (_React$Component) {
	_inherits(FileInfo, _React$Component);

	function FileInfo() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, FileInfo);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = FileInfo.__proto__ || Object.getPrototypeOf(FileInfo)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
			show: false
		}, _this.showModal = function (show) {
			_this.setState({ show: show });
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(FileInfo, [{
		key: 'render',
		value: function render() {
			var _this2 = this;

			var _props = this.props,
			    file = _props.file,
			    height = _props.height,
			    width = _props.width,
			    onClick = _props.onClick;
			var show = this.state.show;


			var containerStyle = {
				margin: "auto",
				padding: "0px",
				backgroundColor: "#eeeeee",
				borderColor: '#757575',
				borderStyle: 'solid',
				borderWidth: 2,
				borderRadius: 6,
				marginBottom: "10px"
			};

			var fileNameStyle = {
				textAlign: 'center'
			};

			var trashContainerStyle = {
				display: "inline-block",
				textAlign: "left",
				paddingLeft: "10px",
				paddingBottom: "10px"
			};

			var fileSizeContainerStyle = {
				display: "inline-block",
				float: "right",
				paddingRight: "10px",
				paddingBottom: "10px"
			};

			var imgStyle = {
				marginTop: "10px",
				display: 'block',
				marginLeft: 'auto',
				marginRight: 'auto'
			};

			var textContainerStyle = {
				marginTop: "10px",
				color: "#212121"
			};

			var image = file.type.match(/image/) ? file.preview : "http://icons.iconarchive.com/icons/paomedia/small-n-flat/1024/file-text-icon.png";
			var filename = file.name.length <= 21 ? file.name : file.name.substring(0, 20);

			var actions = [_jsx(_FlatButton2.default, {
				label: 'Delete',
				onTouchTap: function onTouchTap() {
					onClick();_this2.showModal(false);
				}
			})];

			return _jsx('div', {
				className: 'col-md-4'
			}, void 0, _jsx(_Dialog2.default, {
				title: 'Delete',
				actions: actions,
				modal: false,
				open: show,
				onRequestClose: function onRequestClose() {
					return _this2.showModal(false);
				}
			}, void 0, _jsx('div', {}, void 0, _jsx('p', {}, void 0, 'Are you sure that you want to delete this file: ', _jsx('b', {}, void 0, file.name), '?'))), _jsx('div', {
				style: containerStyle
			}, void 0, _jsx('img', {
				height: height,
				width: width,
				src: image,
				style: imgStyle
			}), _jsx('div', {
				style: textContainerStyle
			}, void 0, _jsx('p', {
				style: fileNameStyle
			}, void 0, filename), _jsx('div', {}, void 0, _jsx('div', {
				onClick: function onClick() {
					return _this2.showModal(true);
				},
				style: trashContainerStyle
			}, void 0, _ref2), _jsx('div', {
				style: fileSizeContainerStyle
			}, void 0, _jsx('p', {}, void 0, (0, _filesize2.default)(file.size)))))));
		}
	}]);

	return FileInfo;
}(_react2.default.Component), _class.defaultProps = {
	height: "150px",
	width: "150px"
}, _temp2);
exports.default = FileInfo;
module.exports = exports['default'];