'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Checkbox = require('material-ui/Checkbox/Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

var _reduxAutoformUtils = require('redux-autoform-utils');

var _FormGroup = require('../common/FormGroup');

var _FormGroup2 = _interopRequireDefault(_FormGroup);

var _FieldPropTypes = require('../../util/FieldPropTypes');

var _FieldPropTypes2 = _interopRequireDefault(_FieldPropTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = {
	checkbox: {
		marginTop: '0 !important',
		paddingTop: '0 !important',
		marginBottom: '10px !important'
	}
};

var CheckBox = function (_React$Component) {
	_inherits(CheckBox, _React$Component);

	function CheckBox() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, CheckBox);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = CheckBox.__proto__ || Object.getPrototypeOf(CheckBox)).call.apply(_ref, [this].concat(args))), _this), _this.getValue = function () {
			var value = _this.props.value;


			if (typeof value === 'string') {
				if (value === 'true') {
					return true;
				} else if (value === 'false') {
					return false;
				}

				return false;
			}

			return value;
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(CheckBox, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    name = _props.name,
			    displayName = _props.displayName,
			    onChange = _props.onChange,
			    help = _props.help,
			    addonAfter = _props.addonAfter,
			    addonBefore = _props.addonBefore,
			    component = _props.component;

			var props = {
				name: name,
				displayName: displayName,
				help: help,
				addonAfter: addonAfter,
				addonBefore: addonBefore,
				component: component
			};

			return _react2.default.createElement(
				_FormGroup2.default,
				props,
				_jsx(_Checkbox2.default, {
					label: displayName,
					defaultChecked: this.getValue(),
					onCheck: onChange,
					style: styles.checkbox
				})
			);
		}
	}]);

	return CheckBox;
}(_react2.default.Component);

exports.default = CheckBox;
module.exports = exports['default'];