'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {

    //Any props
    value: _propTypes2.default.any,

    //Bool props
    checked: _propTypes2.default.bool,
    valid: _propTypes2.default.bool,
    invalid: _propTypes2.default.bool,
    dirty: _propTypes2.default.bool,
    pristine: _propTypes2.default.bool,
    active: _propTypes2.default.bool,
    touched: _propTypes2.default.bool,
    visited: _propTypes2.default.bool,
    autofilled: _propTypes2.default.bool,
    required: _propTypes2.default.bool,

    //String props
    addonAfter: _propTypes2.default.string,
    addonBefore: _propTypes2.default.string,
    help: _propTypes2.default.string,
    component: _propTypes2.default.string,
    placeholder: _propTypes2.default.string,
    name: _propTypes2.default.string,
    error: _propTypes2.default.string,
    type: _propTypes2.default.string,
    displayName: _propTypes2.default.string,
    initialValue: _propTypes2.default.string,
    fieldLayout: _propTypes2.default.string,

    //Function props
    autofill: _propTypes2.default.func,
    onBlur: _propTypes2.default.func,
    onDragStart: _propTypes2.default.func,
    onDrop: _propTypes2.default.func,
    onFocus: _propTypes2.default.func,
    onUpdate: _propTypes2.default.func,
    onChange: _propTypes2.default.func,

    //Object props
    componentFactory: _propTypes2.default.object,
    reduxFormProps: _propTypes2.default.object,
    _extra: _propTypes2.default.object
};
module.exports = exports['default'];