'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _IconMenu = require('material-ui/IconMenu/IconMenu');

var _IconMenu2 = _interopRequireDefault(_IconMenu);

var _MenuItem = require('material-ui/MenuItem/MenuItem');

var _MenuItem2 = _interopRequireDefault(_MenuItem);

var _IconButton = require('material-ui/IconButton/IconButton');

var _IconButton2 = _interopRequireDefault(_IconButton);

var _moreVert = require('material-ui/svg-icons/navigation/more-vert');

var _moreVert2 = _interopRequireDefault(_moreVert);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _ref2 = _jsx(_IconButton2.default, {}, void 0, _jsx(_moreVert2.default, {}));

var _ref3 = _jsx(_MenuItem2.default, {
    primaryText: 'Remove'
}, 'remove');

var _ref4 = _jsx(_MenuItem2.default, {
    primaryText: 'Move Up'
}, 'move_up');

var _ref5 = _jsx(_MenuItem2.default, {
    primaryText: 'Move down'
}, 'move_down');

var _ref6 = _jsx(_MenuItem2.default, {
    primaryText: 'Move first'
}, 'move_first');

var _ref7 = _jsx(_MenuItem2.default, {
    primaryText: 'Move last'
}, 'move_last');

var ArrayContainerItem = function (_React$Component) {
    _inherits(ArrayContainerItem, _React$Component);

    function ArrayContainerItem() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, ArrayContainerItem);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ArrayContainerItem.__proto__ || Object.getPrototypeOf(ArrayContainerItem)).call.apply(_ref, [this].concat(args))), _this), _this.handleAction = function (event, child) {
            return _this.props.onAction(event, child, _this.props.index);
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(ArrayContainerItem, [{
        key: 'render',
        value: function render() {
            return _jsx('div', {
                className: 'array-container-item'
            }, void 0, _jsx('div', {
                className: 'row'
            }, void 0, _jsx('div', {
                className: 'col-xs-11'
            }, void 0, _jsx('div', {
                className: 'array-container-item-content'
            }, void 0, this.props.children)), _jsx('div', {
                className: 'col-xs-1'
            }, void 0, _jsx('div', {
                className: 'array-container-item-options'
            }, void 0, _jsx(_IconMenu2.default, {
                iconButtonElement: _ref2,
                anchorOrigin: { horizontal: 'left', vertical: 'top' },
                targetOrigin: { horizontal: 'left', vertical: 'top' },
                onItemTouchTap: this.handleAction,
                useLayerForClickAway: true,
                animated: true
            }, void 0, _ref3, _ref4, _ref5, _ref6, _ref7)))));
        }
    }]);

    return ArrayContainerItem;
}(_react2.default.Component);

exports.default = ArrayContainerItem;
module.exports = exports['default'];