'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _FieldPropTypes = require('../../util/FieldPropTypes');

var _FieldPropTypes2 = _interopRequireDefault(_FieldPropTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var EntityContainer = function (_React$Component) {
    _inherits(EntityContainer, _React$Component);

    function EntityContainer() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, EntityContainer);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = EntityContainer.__proto__ || Object.getPrototypeOf(EntityContainer)).call.apply(_ref, [this].concat(args))), _this), _this.getHeader = function () {
            var displayName = _this.props.displayName;


            if (displayName) {
                return _jsx('header', {
                    className: 'metaform-group-header no-lateral-margin'
                }, void 0, _jsx('span', {
                    className: 'metaform-group-title'
                }, void 0, displayName));
            }

            return null;
        }, _this.getComponents = function () {
            var _this$props = _this.props,
                componentFactory = _this$props.componentFactory,
                layout = _this$props.layout,
                fields = _this$props.fields;


            return componentFactory.buildGroupComponent({
                component: layout.component,
                layout: layout,
                fields: fields,
                componentFactory: componentFactory
            });
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(EntityContainer, [{
        key: 'render',
        value: function render() {
            return _jsx('div', {
                className: 'entity-container'
            }, void 0, this.getHeader(), _jsx('div', {
                className: 'entity-container-content'
            }, void 0, this.getComponents()));
        }
    }]);

    return EntityContainer;
}(_react2.default.Component);

exports.default = EntityContainer;
module.exports = exports['default'];