'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _TextField = require('material-ui/TextField/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

var _FormGroup = require('../common/FormGroup');

var _FormGroup2 = _interopRequireDefault(_FormGroup);

var _FieldPropTypes = require('../../util/FieldPropTypes');

var _FieldPropTypes2 = _interopRequireDefault(_FieldPropTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Static = function () {
    function Static(props) {
        var value = props.value,
            name = props.name,
            displayName = props.displayName,
            help = props.help,
            error = props.error,
            touched = props.touched,
            active = props.active,
            addonBefore = props.addonBefore,
            addonAfter = props.addonAfter;

        var errors = touched || active ? error : null;
        var formGroupProps = {
            displayName: displayName,
            name: name,
            help: help,
            addonAfter: addonAfter,
            addonBefore: addonBefore
        };

        return _react2.default.createElement(
            _FormGroup2.default,
            formGroupProps,
            _jsx(_TextField2.default, {
                name: name,
                value: value,
                errorText: errors,
                type: 'text',
                fullWidth: true,
                disabled: true
            })
        );
    }

    return Static;
}();

exports.default = Static;
module.exports = exports['default'];